<?php
// Gegevens van de FORM uitlezen.
$bestandsnaam = basename($_FILES['firmwarebestand']['name']); 

// Toegangsrechten geven voor serial device.
exec('chmod a+rw /dev/tty' . $_POST['serial_device']);

// Kijk of het bestand goed is geuoploaded.
if (move_uploaded_file($_FILES['firmwarebestand']['tmp_name'], $bestandsnaam)) {
	echo "Het Arduino firmware (HEX) bestand: " . $bestandsnaam . " is succesvol geuploaded.";
} else {
	echo "Er is een fout opgetreden bij het uploaden van het Arduino firmware (HEX) bestand.";
	exit;
}

echo ", hieronder volgt de AVRdude output:";
?>

<div style="background-color:black; color:white; border-color:#ADD6FF; border-style:ridge; border-width:5px; padding: 10px 10px">

<?php
$baudrate = 115200; //standaard
if ($_POST['arduino_type'] == "arduino_uno") { $baudrate = 115200; }
if ($_POST['arduino_type'] == "arduino_nano") { $baudrate = 57600; }

// Start avrdude.
// Ter info: "2>&1" moet op het eind, anders zien we geen output!
$output = shell_exec('/usr/bin/avrdude -F -v -c arduino -p ATMEGA328P -P /dev/tty' . $_POST['serial_device'] . ' -b ' . $baudrate . ' -U flash:w:' . $bestandsnaam . ' 2>&1');

// Geef output weer.
echo "<pre>$output</pre>";

// Wis firmware bestand.
unlink($bestandsnaam);
?>